View Single Post
  #5  
Old 11th January 2008, 19:10
FXT FXT is offline
Junior Member
 
Join Date: Jul 2007
Posts: 22
Thanks: 3
Thanked 0 Times in 0 Posts
Default

Falko, xrat, thank you for your answers, they have helped me make up my mind.
Now, I've run into the ClamAV compilation problem...

I tried to downgrade by running

Code:
apt-get install gcc-3.4
The ISPConfig ./setup still won't run through:
Code:
checking for ANSI C header files... (cached) yes
checking for a supported version of gcc... ok (4.0.3)
checking for gcc bug PR27603... ok, bug not present
checking for gcc bug PR28045... configure: error: your compiler has gcc PR28045 bug, use a different compiler, see http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28045
ERROR: Could not configure ClamAV
cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
mv: cannot stat `binaries/aps.tar.gz': No such file or directory
mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
mv: cannot stat `binaries/cronolog': No such file or directory
mv: cannot stat `binaries/cronosplit': No such file or directory
mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
mv: cannot stat `binaries/zip': No such file or directory
mv: cannot stat `binaries/unzip': No such file or directory
tar: spamassassin.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
mv: cannot stat `spamassassin': No such file or directory
tar: uudeview.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
mv: cannot stat `uudeview': No such file or directory
tar: clamav.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
mv: cannot stat `clamav': No such file or directory
tar: aps.tar.gz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error exit delayed from previous errors
./setup2: line 873: ispconfig_tmp/php/bin/php: No such file or directory
ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!
The output above tells me, that a version higher than 3.4 was detected, how is that possible after the downgrade? Am I doing something wrong?

Code:
gcc -dumpversion
tells me I'm running 4.0.3, after repeatedly running the above downgrade with apt.

I am doing an install, not an upgrade, but would the second part (editing the config file) of the solution in Till's thread here work in my case? If ClamAV is not going on a performance-critical system, it shouldn't matter? I'm trying not to break anything here, and I'm a little frustrated ATM.

Last edited by FXT; 11th January 2008 at 19:31.
Reply With Quote